Skip to main content
`Ctrl`+`K`

# NEPGetDimensions

Gets the number of eigenvalues to compute and the dimension of the subspace.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetDimensions(NEP nep,PetscInt *nev,PetscInt *ncv,PetscInt *mpd)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the solver

- mpd - the maximum dimension allowed for the projected problem

## Note

The user can specify `NULL` for any parameter that is not needed.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetDimensions()`

## Level

intermediate

## Location

src/nep/interface/nepopts.c

## Examples

src/nep/tutorials/ex22.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages